### Method

# Ide PipelineAddin track

#### Declaration

    void
    ide_pipeline_addin_track (
      IdePipelineAddin* self,
      guint stage_id
    )

#### Description

This function will track the stage_id that was returned from `ide_pipeline_attach()` or similar functions. Doing so results in the stage being automatically disconnected when the addin is unloaded.

This means that many `IdePipelineAddin` implementations do not need an unload vfunc if they track all registered stages.

You should not mix this function with manual pipeline disconnections. While it should work, that is not yet guaranteed.

Available since: | 3.32

#### Parameters

`stage_id` | `guint`
| A stage id returned from `ide_pipeline_attach()`